package com.mvc.model;

public class DicGeneralModel {
    private Integer id;

    private String dicId;

    private String dicKey;

    private String dicValue;

    /**
     * 1.通道地址，2.水表类型，3.水表口径，4:末尾单位，5:天线类型，6:安装方向，7:数传类型，8:下行任务类型，9:下行任务等级，10:设备状态
     */
    private String dicType;

    private String useFlag;

    private String dicMemo;

    //设备单位显示名称(累计水量,压强...) 小程序使用,当前本未存储此字段 2022-10-15 guozhao
    private String deviceLableName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDicId() {
        return dicId;
    }

    public void setDicId(String dicId) {
        this.dicId = dicId == null ? null : dicId.trim();
    }

    public String getDicKey() {
        return dicKey;
    }

    public void setDicKey(String dicKey) {
        this.dicKey = dicKey == null ? null : dicKey.trim();
    }

    public String getDicValue() {
        return dicValue;
    }

    public void setDicValue(String dicValue) {
        this.dicValue = dicValue == null ? null : dicValue.trim();
    }

    public String getDicType() {
        return dicType;
    }

    public void setDicType(String dicType) {
        this.dicType = dicType == null ? null : dicType.trim();
    }

    public String getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(String useFlag) {
        this.useFlag = useFlag == null ? null : useFlag.trim();
    }

    public String getDicMemo() {
        return dicMemo;
    }

    public void setDicMemo(String dicMemo) {
        this.dicMemo = dicMemo == null ? null : dicMemo.trim();
    }

    public String getDeviceLableName() {
        return deviceLableName;
    }

    public void setDeviceLableName(String deviceLableName) {
        this.deviceLableName = deviceLableName;
    }
}
